# Orchestrators — Reinforcement Learning Coach 0.12.0 documentation

# Orchestrators

## Kubernetes

class `rl_coach.orchestrators.kubernetes_orchestrator.``Kubernetes`(params: rl_coach.orchestrators.kubernetes_orchestrator.KubernetesParameters)

  An orchestrator implmentation which uses Kubernetes to deploy the components such as training and rollout workers and Redis Pub/Sub in Coach when used in the distributed mode.

  Parameters

    params – The Kubernetes parameters which are used for deploying the components in Coach. These parameters

  include namespace and kubeconfig.